%define perlvendorlib %(perl -e 'use Config; print $Config{installvendorlib}')
%define perlman1dir %(perl -e 'use Config; print $Config{installman1dir}')
%define perlman3dir %(perl -e 'use Config; print $Config{installman3dir}')
%define perlversion %(perl -e 'use Config; print $Config{version}')

%define appname Mail-Sender

Name: perl-%{appname}
Version: 0.8.10
Release: 1
Summary: Mail::Sender module
License: distributable
Group: Development/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: perl >= 0:5.00503
BuildArchitectures: noarch
Source0: %{appname}-%{version}.tar.gz
Requires: perl >= %{perlversion}


%description

%prep
%setup -n %{appname}-%{version} 

%build
touch Config
perl Makefile.PL INSTALLDIRS=vendor
make
make test

%clean
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
PERL_VERSION=`perl -e '$version = sprintf "%vd", $^V; $version =~ s/\.[^\.]+$//; print "$version\n"'`
if [ "$PERL_VERSION" == "5.8" ]; then
  export PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
fi
make PREFIX=$RPM_BUILD_ROOT/usr install
rm -f $RPM_BUILD_ROOT/%{perlvendorlib}/Mail/Sender/CType/Win32.pm


[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

%files
%defattr(-,root,root)
%{perlman3dir}/*
%{perlvendorlib}/Mail/Sender.pm
%{perlvendorlib}/Mail/Sender/CType/*.pm
